TYPOS3.Flow - Bug # 33158

Status: Closed Priority: Could have
Author: Giovanni Romero Pérez Category: Core
Created: 2012-01-13 Assigned To: Rens Admiraal
Updated: 2012-06-28 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.2

Subject: Problems setting PHP binary path on Windows

Description

Windows Server 2008 R2 SP1

Apache 2.2 PHP 5

| still set FLOW3.core.phpBinaryPathAndFilename in Configuration/Settings.yaml

| tries with:

core:

phpBinaryPathAndFilename: 'C:\\www\\bin\\php\\php.exe'

and

core:

phpBinaryPathAndFilename: 'C:/www/bin/php/php.exe’

It seems like the PHP binary "C:\php/php" cannot be executed by FLOW3. Set the correct path to the PHP executable in

Configuration/Settings.yaml, setting FLOW3.core.phpBinaryPathAndFilename.

3 TYPO3\FLOW3\Core\Bootstrap::initializeForRuntime()

2 TYPO3\FLOW3\Core\Bootstrap::handleWebRequest()

1 TYPO3\FLOW3\Core\Bootstrap::run()

Please include more helpful information!

History

#1 - 2012-02-21 15:37 - Mattias Nilsson

The flow3.bat also has a path to php.exe. So you should also change this to your local php path to make this work.

#2 - 2012-03-07 18:41 - Karsten Dambekalns

- Subject changed from TYPO3\FLOWS3\Exception thrown in file Bootstrap.php to Problems setting PHP binary path on Windows
- Category changed from - Error Handler Report - to Core

- Status changed from New to Needs Feedback

- Assigned To set to Rens Admiraal

- Priority changed from -- undefined -- to Could have
Rens, could you check this?

#3 - 2012-03-07 23:20 - Rens Admiraal

Sure, will have a look this week

#4 - 2012-03-09 15:48 - Rens Admiraal
Giovanni: are you sure you've no indent errors in your Settings.yaml|? I've a 2008 IS environment using:
TYPOS:
FLOWS:

core:

phpBinaryPathAndFilename: 'C:/map2/php.exe'

This works fine for me, and let's me switch between PHP versions without any problem.

#5 - 2012-03-09 16:03 - Adrian Foéder
just as a feedback; in my case also the even worse varation with spaces and backward slashes works:
TYPOS:
FLOWS:

core:
phpBinaryPathAndFilename: 'C:\Program Files\Zend\ZendServer\bin\php.exe'

#6 - 2012-03-09 16:04 - Adrian Foder

Rens Admiraal wrote:

Giovanni: are you sure you've no indent errors in your Settings.yaml? I've a 2008 IIS environment using:

[]

This works fine for me, and let's me switch between PHP versions without any problem.

caution Rens: now you have an indentation error in your sample, core: is only preceded by one space. So beware when copying this :)

#7 - 2012-03-09 16:42 - Rens Admiraal

thanks for noticing ;-) and fixed the example... :)

#8 - 2012-06-28 10:59 - Rens Admiraal
Problem can't be reproduced, probably a configuration issue. Giovanni: if you still experience this problem, can you let me know? Then we can see if

we have to reopen this issue

#9 - 2012-06-28 10:59 - Rens Admiraal
- Status changed from Needs Feedback to Closed
